Checkout

​

The Checkout endpoint processes the cart to finalize its contents and prepare for order creation.

Path Parameters

Responses

  • application/json
  • application/json
  • application/json
Request Example for post/cart/{cart_id}/checkout
curl 'https://api-public-demo.menu.app/api/cart/{cart_id}/checkout' \
  --request POST
{
  "status": "OK",
  "code": 200,
  "data": {
    "cart": {
      "id": "e6d0c777d7d46b1016ef80c8de20b132f53b2e74184bdc1e7c4bc3d840e5f07f",
      "products": [
        {
          "item_id": "14f4e650-987a-4000-b102-25629dfaa06e",
          "menu_id": "5a4e114f-3c1f-4e59-af0f-7af915b3d495",
          "category_id": "f167fe8b-2f16-426f-a742-fe0c0624a60c",
          "price_id": "9a4e25be-9c32-4b69-81b7-19a4f3595406",
          "price": 530,
          "name": "Amer - Super Burger",
          "is_available": true,
          "comment": "",
          "quantity": 1,
          "tax_amount": 0,
          "tax_rate": 0,
          "product_groups": [
            {
              "id": "273ec6f0-4d3c-402b-955e-75c5ba581058",
              "type": 1,
              "comment": "",
              "products": [
                {
                  "item_id": "79737674-49fe-4053-a72b-9c6d5e0b8481",
                  "menu_id": "5a4e114f-3c1f-4e59-af0f-7af915b3d495",
                  "category_id": "",
                  "price_id": "975ba87e-ac25-4da5-b04b-76844ef10421",
                  "price": 36,
                  "name": "Rye",
                  "is_available": true,
                  "comment": "",
                  "quantity": 1,
                  "tax_amount": 0,
                  "tax_rate": 0,
                  "product_groups": [],
                  "summary": {
                    "subtotal": 36,
                    "total": 36,
                    "total_tax": 0,
                    "tax_rates": []
                  }
                }
              ]
            }
          ],
          "summary": {
            "subtotal": 566,
            "total": 566,
            "total_tax": 0,
            "tax_rates": []
          }
        }
      ],
      "discounts": [],
      "tip": {
        "amount": 20,
        "type": 2
      },
      "fees": [],
      "summary": {
        "subtotal": 566,
        "total": 679,
        "discount": 0,
        "payment_amount": 679,
        "tax_rates": [],
        "total_tax": 0,
        "total_fee": 0,
        "tip": 113,
        "loyalty": {
          "points_spent": 0,
          "points_accrued": 1,
          "available_points": 0
        }
      },
      "settings": {
        "prices_includes_tax": false
      }
    }
  }
}